#!/usr/bin/env perl
use strict;
use AnyEvent;

my $cv = AnyEvent->condvar;

my $count = 0;
my $w; $w = AnyEvent->timer(
    after => 10,
    interval => 1,
    cb => sub {
        $count++;
        warn "タイマー発動！($count回目)";
        if ($count >= 10) {
            undef $w;
            $cv->send;
        }
   }
);

$cv->recv;