#!/usr/bin/env perl
use strict;
use AnyEvent;

my $cv  = AnyEvent->condvar;
my $sig = AnyEvent->signal(
    signal => 'INT',
    cb => sub {
        print "got signal INT\n";
        $cv->send;
    }
);

print "スクリプトを中断するにはCtrl-Cを押してください\n";

$cv->recv;